summaryrefslogtreecommitdiff
path: root/scripts/rabbitmq-env
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/rabbitmq-env')
-rwxr-xr-xscripts/rabbitmq-env30
1 files changed, 15 insertions, 15 deletions
diff --git a/scripts/rabbitmq-env b/scripts/rabbitmq-env
index 1fd1339da2..1e3a06082d 100755
--- a/scripts/rabbitmq-env
+++ b/scripts/rabbitmq-env
@@ -15,7 +15,7 @@
## Copyright (c) 2007-2012 VMware, Inc. All rights reserved.
##
-# Determine where this script is really located
+# Determine where this script is really located (if this script is embedded, this is the location of the caller)
SCRIPT_PATH="$0"
while [ -h "$SCRIPT_PATH" ] ; do
FULL_PATH=`readlink -f $SCRIPT_PATH 2>/dev/null`
@@ -36,19 +36,19 @@ RABBITMQ_HOME="${SCRIPT_DIR}/.."
[ "x" = "x$HOSTNAME" ] && HOSTNAME=`env hostname`
NODENAME=rabbit@${HOSTNAME%%.*}
-## Set (non-empty) default values for rabbitmq-env.conf variables to override
-SERVER_ERL_ARGS="+K true +A30 +P 1048576 \
--kernel inet_default_connect_options [{nodelay,true}]"
-CONFIG_FILE=/etc/rabbitmq/rabbitmq
-LOG_BASE=/var/log/rabbitmq
-MNESIA_BASE=/var/lib/rabbitmq/mnesia
-PLUGINS_DIR="${RABBITMQ_HOME}/plugins"
-ENABLED_PLUGINS_FILE=/etc/rabbitmq/enabled_plugins
+## Set system defaults
+if [ ! -f ${SCRIPT_DIR}/rabbitmq-sys ]; then
+ echo -n "WARNING: system defaults are not available -- "
+ echo "check the installation completed correctly."
+ exit 1
+fi
+
+. ${SCRIPT_DIR}/rabbitmq-sys
-## Load configuration from the rabbitmq.conf file
-if [ -f /etc/rabbitmq/rabbitmq.conf ] && \
- [ ! -f /etc/rabbitmq/rabbitmq-env.conf ] ; then
- echo -n "WARNING: ignoring /etc/rabbitmq/rabbitmq.conf -- "
- echo "location has moved to /etc/rabbitmq/rabbitmq-env.conf"
+## Get configuration variables from the configure environment file
+if [ -f ${OLD_CONF_ENV_FILE} ] && \
+ [ ! -f ${CONF_ENV_FILE} ] ; then
+ echo -n "WARNING: ignoring ${OLD_CONF_ENV_FILE} -- "
+ echo "location has moved to ${CONF_ENV_FILE}"
fi
-[ -f /etc/rabbitmq/rabbitmq-env.conf ] && . /etc/rabbitmq/rabbitmq-env.conf
+[ -f ${CONF_ENV_FILE} ] && . ${CONF_ENV_FILE}